Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82617 - serious memory leak
Summary: serious memory leak
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-24 00:54 UTC by Gérard Milmeister
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-09 03:13:13 UTC


Attachments (Terms of Use)

Description Gérard Milmeister 2003-01-24 00:54:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021128

Description of problem:
After running a while sawfish consumes more than 400MB memory, slowing the whole
system down.

BTW I hope you will support sawfish in the future. I really would like to use
Metacity, but there are too many things missing (Well the lisp engine is not
really necessary).


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
N/A
    

Additional info:

Comment 1 Havoc Pennington 2003-01-24 01:01:39 UTC
Are you using a non-default theme or other non-default configuration
that might affect this?


Comment 2 Havoc Pennington 2003-01-28 23:30:48 UTC
Please add more information if you can.

Comment 3 Gérard Milmeister 2003-01-28 23:36:26 UTC
I have the following .sawfishrc file:
(require 'window-info)
(require 'window-history)
(require 'gnome-int)
(setq xterm-program "multi-gnome-terminal")

and the AquaX theme.
However I must admit that I installed the beta sawfish rep and rep-gtk packages
on my RedHat 8.0 box, so I don't know whether my bug report really has any worth.


Comment 4 Havoc Pennington 2003-01-28 23:41:02 UTC
OK, thanks. we should be able to confirm whether it happens in phoebe with 
that .sawfishrc, anyway.

Comment 5 Havoc Pennington 2004-08-09 03:13:13 UTC
Sawfish has been dropped from Fedora Core 3, see
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00054.html
for some more discussion.

Closing all Sawfish bugs for this reason.


Note You need to log in before you can comment on or make changes to this bug.